%define _disable_ld_no_undefined 1
# fwang: we need to push *.so into main package, because they will be dlopened at runtime, see mga#4882 & mga#14996
%global __requires_exclude devel\\(lib(gnc|cairo|gdk|glib|gmodule|gobject|gtk|guile|m|pango|xml2|z)(.*)\\)|libgncmod-
%global __provides_exclude devel\\(libgnc(.*)\\)

%define lib_major  0
%define libname    %mklibname %{name} %{lib_major}
%define libnamedev %mklibname %{name} -d

%define doc_version 2.6.16

Name:           gnucash
Version:        2.6.16
Release:        %mkrel 2
Summary:        Application to keep track of your finances
License:        GPLv2+
Group:          Office/Finance
URL:            http://www.gnucash.org/
Source0:        http://downloads.sourceforge.net/gnucash/%{name}-%{version}.tar.bz2
Source1:        http://downloads.sourceforge.net/gnucash/%{name}-docs-%{doc_version}.tar.gz
Source5:        engine-common.i
BuildRequires:  pkgconfig(aqbanking) >= 4.0.0
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gnome-keyring-1) >= 0.6
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.24.0
BuildRequires:  pkgconfig(gtkmm-2.4) >= 2.24
BuildRequires:  pkgconfig(guile-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gwengui-gtk2)
BuildRequires:  pkgconfig(gwenhywfar)
BuildRequires:  pkgconfig(libgnomecanvas-2.0)
BuildRequires:  pkgconfig(libgoffice-0.8) >= 0.7.0
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5.10
BuildRequires:  pkgconfig(webkit-1.0) >= 1.0
BuildRequires:  guile
BuildRequires:  guile-runtime
BuildRequires:  pkgconfig(dbi)
BuildRequires:  libdbi-drivers-dbd-sqlite3
BuildRequires:  pkgconfig(ktoblzcheck)
BuildRequires:  pkgconfig(python2)
BuildRequires:  intltool
BuildRequires:  scrollkeeper
BuildRequires:  xsltproc
BuildRequires:  slib
BuildRequires:  gettext-devel
BuildRequires:  swig
BuildRequires:  locales-en
BuildRequires:  locales-fr

Requires:       libdbi-drivers-dbd-sqlite3
Requires:       guile
Requires:       guile-runtime
Requires:       slib
Requires:       yelp
Requires:       dconf
Recommends:     perl-Finance-Quote

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%package        ofx
Summary:        Enables OFX importing in GnuCash
Group:          Office/Finance
Requires:       gnucash = %{version}-%{release}
 
%description    ofx
This package adds OFX file import support to the base
GnuCash package. Install this package if you want to
import OFX files.

%package        hbci
Summary:        Enables HBCI importing in GnuCash
Group:          Office/Finance
Requires:       gnucash = %{version}-%{release}
# only require the wizard, it will pull aqhbci package too 
#gw it really required qt3-wizard which wasn't included in aqbanking for a while
Requires:       aqhbci
 
%description    hbci
This package adds HBCI file import support to the base
GnuCash package. Install this package if you want to
import HBCI files.

%package -n     %{libnamedev}
Group:          Development/C
Summary:        Libraries needed to develop for gnucash
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}

%description -n %{libnamedev}
Libraries needed to develop for gnucash.

%package -n     %{libname}
Summary:        Libraries for gnucash
Group:          System/Libraries

%description -n %{libname}
This package provides libraries to use gnucash.

%package -n     python-gnucash
Summary:        Python module for gnucash
Group:          System/Libraries
Requires:       pythonegg(2)(ipython)
Requires:       pythonegg(2)(pygtk)
Requires:       pythonegg(2)(matplotlib)

%description -n python-gnucash
This package provides python bindings to interact with gnucash.

%prep
%setup -q -a 1

%build
%configure2_5x \
        --disable-schemas-compile \
        --disable-dependency-tracking \
        --enable-aqbanking \
        --enable-python
%make_build

pushd gnucash-docs-%{doc_version}
%configure2_5x --localstatedir=/var/lib
popd

%install
%make_install
%make_install -C gnucash-docs-%{doc_version}

%find_lang %{name} --with-gnome
find %{buildroot} -name '*.la' -delete
rm -fr %{buildroot}%{_libexecdir}/gnucash/src/libqof/qof/test

%check
#make check

%files -n %{libnamedev}
%{_bindir}/gnucash-make-guids
%{_bindir}/gnucash-valgrind
%{_includedir}/gnucash

%files -n %{libname}
%{_libdir}/*.so.*
%{_libdir}/*.so

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/gnucash
%{_bindir}/gnucash-env
%{_bindir}/gnc-fq-check
%{_bindir}/gnc-fq-dump
%{_bindir}/gnc-fq-helper
%{_bindir}/gnc-fq-update
%{_datadir}/applications/%{name}.desktop
%dir %{_libdir}/gnucash
%{_libdir}/gnucash/*.so*
%dir %{_libdir}/gnucash/scm
%{_libdir}/gnucash/scm/ccache/
%{_libexecdir}/gnucash/overrides
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.business.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.checkprinting.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.commodities.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.export.csv.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.import.csv.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.import.generic.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.import.qif.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.reconcile.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.sxs.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.totd.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.history.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.warnings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.window.pages.account.tree.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnucash.window.pages.gschema.xml
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/accounts
%{_datadir}/%{name}/checks
%{_datadir}/%{name}/gtkbuilder
%{_datadir}/%{name}/jqplot
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/ui
%{_datadir}/%{name}/gnome
%{_datadir}/%{name}/tip_of_the_day.list
%{_datadir}/%{name}/make-prefs-migration-script.xsl
%{_datadir}/%{name}/migratable-prefs.xml
%{_datadir}/%{name}/scm
%{_datadir}/appdata/gnucash.appdata.xml
%{_iconsdir}/hicolor/*/apps/gnucash*
%{_mandir}/*/*
%doc %{_datadir}/gnome/help/gnucash-guide
%doc %{_datadir}/gnome/help/gnucash-help
%doc %{_datadir}/doc/%{name}/
%exclude %{_libdir}/gnucash/libgncmod-ofx*
%exclude %{_libdir}/gnucash/libgncmod-aqbanking*
%exclude %{_datadir}/gnucash/ui/gnc-plugin-aqbanking-ui.xml
%exclude %{_datadir}/gnucash/ui/gnc-plugin-ofx-ui.xml

%files ofx
%doc doc/README.OFX
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.import.ofx.gschema.xml
%{_libdir}/gnucash/libgncmod-ofx*
%{_datadir}/gnucash/ui/gnc-plugin-ofx-ui.xml

%files hbci
%doc doc/README.HBCI
%{_datadir}/glib-2.0/schemas/org.gnucash.dialogs.import.hbci.gschema.xml
%{_libdir}/gnucash/libgncmod-aqbanking*
%{_datadir}/gnucash/ui/gnc-plugin-aqbanking-ui.xml

%files -n python-gnucash
%{python2_sitearch}/%{name}
%{_datadir}/%{name}/python


%changelog
* Sun Apr 30 2017 zezinho <zezinho> 2.6.16-2.mga6
+ Revision: 1098139
- update forgotten docs

* Tue Apr 25 2017 zezinho <zezinho> 2.6.16-1.mga6
+ Revision: 1097289
- new version

* Sat Jan 21 2017 daviddavid <daviddavid> 2.6.15-1.mga6
+ Revision: 1082855
- new version: 2.6.15

* Sat Nov 05 2016 daviddavid <daviddavid> 2.6.14-1.mga6
+ Revision: 1065450
- new version: 2.6.14

* Thu Aug 11 2016 daviddavid <daviddavid> 2.6.13-1.mga6
+ Revision: 1045759
- new version: 2.6.13
- fix python2 dependencies for python-gnucash sub-package
- fix doc files listed twice
- fix owner of doc dir

* Mon May 02 2016 zezinho <zezinho> 2.6.12-2.mga6
+ Revision: 1008563
- rebuild against libofx 0.9.10

* Wed Apr 20 2016 daviddavid <daviddavid> 2.6.12-1.mga6
+ Revision: 1003689
- new version: 2.6.12

* Wed Jan 13 2016 daviddavid <daviddavid> 2.6.11-1.mga6
+ Revision: 922872
- new version: 2.6.11
- use new python macro

* Mon Jan 04 2016 bcornec <bcornec> 2.6.10-1.mga6
+ Revision: 919304
- Up date to upstream gnucash 2.6.10

* Tue Oct 13 2015 fwang <fwang> 2.6.9-1.mga6
+ Revision: 890189
- 2.6.9

* Mon Sep 28 2015 fwang <fwang> 2.6.8-1.mga6
+ Revision: 884341
- 2.6.8

* Thu Aug 13 2015 fwang <fwang> 2.6.7-1.mga6
+ Revision: 864224
- update file list
- 2.6.7

* Fri Feb 13 2015 sander85 <sander85> 2.6.5-3.mga5
+ Revision: 814871
- Fix requires (mga#14996)

* Thu Feb 12 2015 ovitters <ovitters> 2.6.5-2.mga5
+ Revision: 814802
- add ugly workaround dependency on .so library (mga#14996)

* Sun Jan 18 2015 bcornec <bcornec> 2.6.5-1.mga5
+ Revision: 811216
- Update to upstream 2.6.5 to fix #14865

* Fri Jan 09 2015 ovitters <ovitters> 2.6.4-4.mga5
+ Revision: 809543
- put .so in devel package

* Wed Oct 15 2014 umeabot <umeabot> 2.6.4-3.mga5
+ Revision: 744602
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 bcornec <bcornec> 2.6.4-2.mga5
+ Revision: 736857
- Without dconf, gnucash doesn't backup preferences !

* Fri Oct 03 2014 bcornec <bcornec> 2.6.4-1.mga5
+ Revision: 736262
- Update to upstream 2.6.4

* Sat Sep 27 2014 tv <tv> 2.6.3-5.mga5
+ Revision: 726363
- rebuild for missing pythoneggs deps

* Fri Sep 19 2014 tv <tv> 2.6.3-4.mga5
+ Revision: 697349
- fix excludes

* Tue Sep 16 2014 umeabot <umeabot> 2.6.3-3.mga5
+ Revision: 679817
- Mageia 5 Mass Rebuild

  + tv <tv>
    - auto convert _exclude_files_from_autoreq
    - s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 2.6.3-2.mga5
+ Revision: 628231
- Rebuild for new Python

* Sun Mar 30 2014 fwang <fwang> 2.6.3-1.mga5
+ Revision: 610309
- 2.6.3

* Tue Mar 04 2014 fwang <fwang> 2.6.2-1.mga5
+ Revision: 599247
- 2.6.2

* Tue Feb 04 2014 fwang <fwang> 2.6.1-1.mga5
+ Revision: 581615
- new version 2.6.1

* Sun Dec 29 2013 fwang <fwang> 2.6.0-1.mga4
+ Revision: 563032
- 2.6.0 stable

* Mon Dec 16 2013 pterjan <pterjan> 2.5.8-3.mga4
+ Revision: 557200
- Rebuild for new libofx

* Sat Nov 23 2013 fwang <fwang> 2.5.8-2.mga4
+ Revision: 552604
- bump rel

* Sat Nov 23 2013 fwang <fwang> 2.5.8-1.mga4
+ Revision: 552502
- update file list
- new version 2.5.8

* Mon Oct 21 2013 umeabot <umeabot> 2.5.6-2.mga4
+ Revision: 541064
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 fwang <fwang> 2.5.6-1.mga4
+ Revision: 495007
- update file list
- update file list
- disable check as it failed with test-load-module
- add locales en for testing
- add locales-fr for testing
- disable check for now
- gconf is not used any more
- add more requires
- new version 2.5.6
- use make check
- drop dup br

* Sun Sep 22 2013 fwang <fwang> 2.5.5-1.mga4
+ Revision: 483295
- update file list
- new version 2.5.5

* Wed Aug 28 2013 fwang <fwang> 2.5.4-1.mga4
+ Revision: 472518
- update file list
- finally cleanup spec
- update file list
- update file list
- update file list
- update lang file
- br guile runtime
- new version 2.5.4 to run with guile 2.0

* Wed May 29 2013 dams <dams> 2.4.13-1.mga4
+ Revision: 432898
- new version 2.4.13

* Sat Jan 12 2013 umeabot <umeabot> 2.4.11-4.mga3
+ Revision: 352348
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 pterjan <pterjan> 2.4.11-3.mga3
+ Revision: 337468
- Fix group
- Fix for _libdir != _libexecdir

  + fwang <fwang>
    - update file list
    - more linkage fix
    - more linkage fix
    - fix linkage
    - apply svn patch

* Mon Sep 03 2012 fwang <fwang> 2.4.11-2.mga3
+ Revision: 287559
- autoreconf not needed now
- rebuild for new aqbanking
- new version 2.4.11

* Fri Apr 06 2012 fwang <fwang> 2.4.10-9.mga2
+ Revision: 228913
- requires guile1.8 also

* Wed Apr 04 2012 fwang <fwang> 2.4.10-8.mga2
+ Revision: 228337
- do not force regenerate swig files
- revert build with guile 2.0 to 1.8, as it is not suggested upstream, nor working

* Mon Mar 12 2012 fwang <fwang> 2.4.10-7.mga2
+ Revision: 223056
- really force regenerate swig interface files

* Mon Mar 12 2012 fwang <fwang> 2.4.10-6.mga2
+ Revision: 223052
- do not promote useless png files when building from tarball
- force regenerate swig bindings as suggested by rh#704527

* Mon Mar 12 2012 fwang <fwang> 2.4.10-5.mga2
+ Revision: 222966
- more specific filter
- fix regexp usage

* Mon Mar 12 2012 fwang <fwang> 2.4.10-4.mga2
+ Revision: 222961
- do not provides devel also

* Mon Mar 12 2012 fwang <fwang> 2.4.10-3.mga2
+ Revision: 222957
- move all .so files into lib package, so that it won't fail when dlopen them

* Mon Mar 12 2012 fwang <fwang> 2.4.10-2.mga2
+ Revision: 222844
- fix guile lib loading (1st try on bug#4882)

* Fri Jan 27 2012 fwang <fwang> 2.4.10-1.mga2
+ Revision: 202257
- drop merged patch
- new version 2.4.10

* Sat Jan 21 2012 fwang <fwang> 2.4.9-2.mga2
+ Revision: 198995
- rebuild for new ofx

* Tue Jan 10 2012 fwang <fwang> 2.4.9-1.mga2
+ Revision: 194458
- there is no info file now
- update guile patches
- new version 2.4.9

* Wed Dec 28 2011 wally <wally> 2.4.8-3.mga2
+ Revision: 188477
- add patches from fedora to support new guile 2.0
- sync sources with fedora
- clean .spec a bit

* Wed Nov 30 2011 fwang <fwang> 2.4.8-2.mga2
+ Revision: 174357
- fix build with latest glib
- add br
- br scrollkeeper
- br python-devel
- br slib
- bump rel
- cleanup spec

* Mon Oct 24 2011 fwang <fwang> 2.4.8-1.mga2
+ Revision: 157592
- new version 2.4.8

* Wed Sep 21 2011 fwang <fwang> 2.4.7-3.mga2
+ Revision: 146361
- drop post section
- drop .la files

  + misc <misc>
    - add submodule for python binding
    - fix BR
      add a comment regarding obsoletes
    - enable python binding, and simplify the Requires
    - fix %%post

* Sun Jul 03 2011 fwang <fwang> 2.4.7-1.mga2
+ Revision: 117612
- new version 2.4.7

* Thu Jun 30 2011 ahmad <ahmad> 2.4.6-1.mga2
+ Revision: 116404
- Update to 2.4.6

* Mon Jun 20 2011 dmorgan <dmorgan> 2.4.5-2.mga2
+ Revision: 110695
- Rebuild against new webkit

* Mon Apr 11 2011 dams <dams> 2.4.5-1.mga1
+ Revision: 83229
- Update to 2.4.5

* Thu Mar 24 2011 ennael <ennael> 2.4.4-1.mga1
+ Revision: 76868
- fix build require (thanks to rtp)
- fix build require
- clean apsec file

  + wally <wally>
    - imported package gnucash


* Fri Mar 18 2011 Jani Välimaa <wally@mandriva.org> 2.4.4-1mdv2011.0
+ Revision: 646396
- new version 2.4.4

* Mon Feb 28 2011 Funda Wang <fwang@mandriva.org> 2.4.3-1
+ Revision: 640716
- new version 2.4.3

* Wed Feb 09 2011 Funda Wang <fwang@mandriva.org> 2.4.2-1
+ Revision: 636961
- enable aqbanking
- new version 2.4.2

* Thu Dec 23 2010 Funda Wang <fwang@mandriva.org> 2.4.0-1mdv2011.0
+ Revision: 624086
- new version 2.4.0

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.17-2mdv2011.0
+ Revision: 609659
- rebuilt against new libdbi

* Thu Nov 25 2010 Götz Waschk <waschk@mandriva.org> 2.3.17-1mdv2011.0
+ Revision: 601002
- update to new version 2.3.17

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.15-2mdv2011.0
+ Revision: 600715
- fix CVE-2010-3999

* Thu Sep 02 2010 Götz Waschk <waschk@mandriva.org> 2.3.15-1mdv2011.0
+ Revision: 575225
- new version
- update file list

* Tue Aug 31 2010 Funda Wang <fwang@mandriva.org> 2.3.14-2mdv2011.0
+ Revision: 574595
- rebuild for new gwenhywfar

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 2.3.14-1mdv2011.0
+ Revision: 570961
- new development version
- rediff patch
- drop patch 1
- reenable hbci plugin
- obsolete sql backend
- depend on webkit and on libdbi
- update file list
- disable hbci support, our aqbanking is too new

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new popt

* Sun Feb 14 2010 Götz Waschk <waschk@mandriva.org> 2.2.9-6mdv2010.1
+ Revision: 505820
- rebuild for new goffice

* Fri Feb 12 2010 Götz Waschk <waschk@mandriva.org> 2.2.9-5mdv2010.1
+ Revision: 504706
- depend on qt4 aqbanking

* Thu Sep 24 2009 Götz Waschk <waschk@mandriva.org> 2.2.9-4mdv2010.0
+ Revision: 448346
- update build deps
- update patch 1 for new goffice

* Wed Jun 03 2009 Götz Waschk <waschk@mandriva.org> 2.2.9-3mdv2010.0
+ Revision: 382354
- rebuild for new aqbanking

* Wed May 20 2009 Götz Waschk <waschk@mandriva.org> 2.2.9-2mdv2010.0
+ Revision: 377967
- fix build with new goffice
- disable schemas installation

  + Frederik Himpe <fhimpe@mandriva.org>
    - Add Suggests: perl-Finance-Quote for online retrieval of quotes

* Tue Feb 24 2009 Götz Waschk <waschk@mandriva.org> 2.2.9-1mdv2009.1
+ Revision: 344483
- update to new version 2.2.9

* Tue Dec 16 2008 Funda Wang <fwang@mandriva.org> 2.2.8-1mdv2009.1
+ Revision: 314725
- New version 2.2.8
- underlinking problem fixed by upstream

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-2mdv2009.1
+ Revision: 301591
- rebuilt against new libxcb

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.2.7-1mdv2009.1
+ Revision: 292466
- new version
- call libtoolize

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2009.0
+ Revision: 257782
- new version
- drop patch 1
- update build deps
- fix buildrequires for goffice 0.6

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.5-2mdv2009.0
+ Revision: 214364
- Add patch to fix underlinking in gnome-utils subdir by linking with libX11
- Add patch to fix underlinking in file backend
- Fix license
- Remove libxml-devel: this is the old libxml1 library, which is not used by gnucash. libxml2-devel is already implicitely required by gtkhtml-devel

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - update schemas list

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 2.2.4-2mdv2009.0
+ Revision: 196752
- patch for aqbanking 3.x

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdv2008.1
+ Revision: 180054
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix gtkhtml-3.14-devel BuildRequires
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - fix no-buildroot-tag

* Thu Jan 10 2008 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-2mdv2008.1
+ Revision: 147649
- Force rebuild with latest GConf

* Thu Jan 10 2008 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2008.1
+ Revision: 147516
- new version
- drop patch
- update file list
- update icon theme in postinstall

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 2.2.2-3mdv2008.1
+ Revision: 136851
- patch to build with goffice 0.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.2.2-2mdv2008.1
+ Revision: 132333
- rebuild for new goffice

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdv2008.1
+ Revision: 132108
- new version
- build with goffice 0.5

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.1-3mdv2008.1
+ Revision: 113756
- Patch0 (Fedora): disable unneeded warning at startup
- Remove old menu file
- Replace dependency on umb-scheme with slib dependency (Fedora)

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.1-2mdv2008.0
+ Revision: 92510
- Fix build

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires

* Mon Aug 20 2007 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 67902
- new version

* Fri Aug 10 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.0-2mdv2008.0
+ Revision: 61594
- Remove dependency on g-wrap
- Fix icon name

  + Götz Waschk <waschk@mandriva.org>
    - drop external icons

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2008.0
+ Revision: 52486
- new version
- update buildrequires
- fix file list
- new devel package name
- drop buildrequires on libunicode, it is dead


* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 2.0.5-1mdv2007.0
+ Revision: 133834
- new version
- fix buildrequires
- *** empty log message ***
- depend on yelp (bug #28547)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.0.4-2mdv2007.1
+ Revision: 105229
- rebuild

* Wed Jan 03 2007 Götz Waschk <waschk@mandriva.org> 2.0.4-1mdv2007.1
+ Revision: 103507
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.0.3-1mdv2007.1
+ Revision: 98663
- disable libtoolize

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 2.0.3

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 2.0.2-2mdv2007.1
+ Revision: 65561
- rebuild
- Import gnucash

* Sat Oct 14 2006 Gtz Waschk <waschk@mandriva.org> 2.0.2-1mdv2007.1
- update source URL
- new version

* Thu Aug 03 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdv2007.0
- update file list
- New release 2.0.1

* Wed Jul 19 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2mdv2007.0
- use shared goffice again
- drop valgrind conflict
- rebuild with new gail

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1mdv2007.0
- fix source URLs
- New release 2.0.0

* Fri Jun 23 2006 Gtz Waschk <waschk@mandriva.org> 1.9.8-2mdv2007.0
- split out postgres backend
- move .la files to main package
- move all libraries to the lib package
- fix deps

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 1.9.8-1mdv2007.0
- use new macros
- fix menu
- New release 1.9.8

* Fri Jun 16 2006 Gtz Waschk <waschk@mandriva.org> 1.9.7-1mdv2007.0
- xdg menu
- update file list
- disable valgrind
- don't depend on guile-lib
- new version

* Wed May 17 2006 Gtz Waschk <waschk@mandriva.org> 1.9.6-1mdk
- update file list
- New release 1.9.6

* Thu Apr 20 2006 Götz Waschk <waschk@mandriva.org> 1.9.5-1mdk
- New release 1.9.5

* Sat Apr 08 2006 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdk
- New release 1.9.4

* Thu Apr 06 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.3-3mdk
- rebuild with rpm-mandriva-setup 1.18 to fix requires

* Sat Apr 01 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.3-2mdk
- add BuildRequires: libffi-devel db1-devel

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdk
- update file list
- New release 1.9.3

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 1.9.2-2mdk
- use the right configure macro
- rebuild for new aqbanking

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 1.9.2-1mdk
- schemas are no configuration files
- New release 1.9.2

* Sun Feb 26 2006 Gtz Waschk <waschk@mandriva.org> 1.9.1-2mdk
- depend on guile-lib

* Mon Feb 20 2006 Gtz Waschk <waschk@mandriva.org> 1.9.1-1mdk
- drop patches
- New release 1.9.1
- use mkrel

* Mon Jan 16 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.12-1mdk
- Release 1.8.12
- Regenerate patch0, remove old libtool m4 macros

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 1.8.11-4mdk
- rebuild for new aqbanking

* Thu Jun 16 2005 Frederic Lepied <flepied@mandriva.com> 1.8.11-3mdk
- rebuild for libpq

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.11-2mdk 
- Rebuild with new aqhbci (Mdk bug #13985)

* Thu Feb 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.11-1mdk 
- Release 1.8.11

* Sun Feb 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.8.10-3mdk
- multiarch

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.10-2mdk 
- hbci subpackage now requires aqhbci-wizard-kde (only config wizard available
  now). Fix Mdk bug #12782
- Move info files to devel package (they are devel doc), Mdk bug #12106.
- Enable experimental postgresql support (Mdk bug #12499)

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.10-1mdk
- fix omf file listing
- update the docs
- depend on aqbanking instead of openhbci
- bump ofx dep
- New release 1.8.10

* Sat Aug 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.9-2mdk
- Rebuild for new gcc

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.9-1mdk
- New release 1.8.9
- Update docs to 1.8.4

